#!/bin/sh

. ./package.env

GOOS=linux GOARCH=386 go build -o "bfile_cli.$VERSION.linux.i386" -ldflags "-s -w -X main.version=$VERSION" . &
GOOS=linux GOARCH=amd64 go build -o "bfile_cli.$VERSION.linux.amd64" -ldflags "-s -w -X main.version=$VERSION" . &
GOOS=linux GOARCH=arm64 go build -o "bfile_cli.$VERSION.linux.arm64" -ldflags "-s -w -X main.version=$VERSION" . &

GOOS=windows GOARCH=386 go build -o "bfile_cli.$VERSION.windows.i386.exe" -ldflags "-s -w -X main.version=$VERSION" . &
GOOS=windows GOARCH=amd64 go build -o "bfile_cli.$VERSION.windows.amd64.exe" -ldflags "-s -w -X main.version=$VERSION" . &
GOOS=windows GOARCH=arm64 go build -o "bfile_cli.$VERSION.windows.arm64.exe" -ldflags "-s -w -X main.version=$VERSION" . &

GOOS=darwin GOARCH=amd64 go build -o "bfile_cli.$VERSION.darwin.amd64" -ldflags "-s -w -X main.version=$VERSION" . &
GOOS=darwin GOARCH=arm64 go build -o "bfile_cli.$VERSION.darwin.arm64" -ldflags "-s -w -X main.version=$VERSION" . &

wait